Subject: RE: Brew Buddy Week 14 Presentation
From: Minh Nguyen <[email-masked]>
To: Sam Ward <[email-masked]>
Date: Wed, 27 Oct 2021 13:36:16 +1300

Yes the time is ok for me.

Dr Minh Nguyen MSc, PhD, FHEA

Programme Director - Bachelor of Computer and Information System, School of Engineering, Computer & Mathematical Sciences, room WS307D

Auckland University of Technology

P +64 9 921 9999 ext 8214    M +64 21 175 4956    E [email-masked]    W aut.ac.nz

From: Sam Ward <[email-masked]>
Sent: Wednesday, 27 October 2021 1:30 pm
To: Minh Nguyen <[email-masked]>
Subject: RE: Brew Buddy Week 14 Presentation

Hey Minh,

Ramesh has suggested 2pm Friday does this work for you?

Cheers,

Sam.

From: Minh Nguyen
Sent: Tuesday, 26 October 2021 9:36 am
To: Sam Ward
Subject: RE: Brew Buddy Week 14 Presentation

Hi Sam,

I think you just need to present the poster over screen share and the live/video demo with Q&A.

You can talk a bit about project management structure, but don’t worry too much about it, generally, BCIS asks for that to define who is doing what, and do the judgement of the grades for individuals in the group.

Your case is a bit different, so I think you can just mention that, but don’t have to break it into small bits.

For the presentation, do we need to have Ramesh be there as well? I can do it later on Wednesday for you, or Thursday anytime other than 10-11am, but it’s best to ask Ramesh first for his availability?

Dr Minh Nguyen MSc, PhD, FHEA

Programme Director - Bachelor of Computer and Information System, School of Engineering, Computer & Mathematical Sciences, room WS307D

Auckland University of Technology

P +64 9 921 9999 ext 8214    M +64 21 175 4956    E [email-masked]    W aut.ac.nz

From: Sam Ward <[email-masked]>
Sent: Tuesday, 26 October 2021 4:24 am
To: Minh Nguyen <[email-masked]>
Subject: Brew Buddy Week 14 Presentation

Hi Minh,

Hope everything is well with you and the family.

Just prepping for the finishing up of the project and have a few things I would like to go over with you ahead of this weeks presentation.

For the presentation, do you know if I need to prepare a PowerPoint presentation, similar to the mid term review? Or will it just be presenting the poster over screen share and the live/video demo with Q&A?

It seems that for the poster examples and the BCIS project itself has a lot of emphasis on project management methodology, compared to the BEng project which has no such requirement. As such it is only me in the group that really had to adhere to any project management structure for the sake of the project, which led to it really not being much of a focus point for the three of us aside from the original gantt chart and Trello board for work allocation. Is this fine that it doesn’t play a big part of our project, and probably won’t be covered much if at all in the poster, portfolio, and reflective report? Or do I need to really make an effort to pull up what I can on PM for fear of losing marks over it? Marking schedule doesn’t mention PM specifically, I just noticed it come up a lot In the lectures etc.

Ramesh mentioned some PM documents and suggested adding to the proposal such as team contract, scope statement document, QA plan, risk and issue register, upskill plan, and product backlog with development cycles. Are these necessary and should I add them? We didn’t really require anything like this throughout the project (any that did would of been added) so would only be adding them after the fact for the marks. Some do draw parallels to methods implemented just not necessarily formally recorded, such as the use of GitHub version control could be considered QA and was one of the reasons I added it to the project.

Logbook – my logbook consists of just a running notepad that I used for jotting down rough notes, which I then transferred to a word document and formatted for readability. Initially started of pretty thorough with details and hours but eventually it became a scribble pad for anything relevant rather than an hours log, being pretty brief and has a lot of gaps in terms of work completed. Just wondering to what level of detail is required for the logbook, and if the hours log is necessary? Is this adequate or should I go through everything and add more detail and hours? Most of the brief notes just refer to work documents added in Teams, rather than a heap of text in the logbook. Attached is a draft copy, complete with all the grammatical errors from my rough notes which I will tidy up, but just wanted to get your feedback on it.

Code craft – currently code is quite messy with a lot of commented out code etc., we put this down to the shear amount of code that had to be developed. I probably already know the answer to this question, but does the code itself have to be tidy in order to achieve top grade? Or is it more about the product itself?

Some links for your perusal:

Hosted version of frontend only, gives you an idea of the apps usability but obviously doesn’t control anything without the ESP32 webserver backend - http://bbfrontv7.avcl.co.nz/

An interactive app mock-up I did in Adobe XD to fast-track the app design before moving to development, very helpful tool - https://xd.adobe.com/view/2af8af27-7462-415a-91a0-3939c79c64c7-7fab/?fullscreen&hints=off

Link to GitHub -  https://github.com/s-ward/brew-buddy

Trello board can be found in the MS Teams under Project Management tab.

Would be good to get your input on this stuff so I’ll finish up a draft version of the poster and hopefully portfolio, and perhaps you and I can have a Teams meeting say Wednesday? For the presentation itself what day/time suits you, Friday afternoon? Or possibly Thursday but I think Boonie may have other papers, will have to check.

Keeping in mind for any feedback on the above I am aiming for an A grade.

Apologies for the long email and flurry of questions, it is early AM. Will catch up with you soon.

Cheers,

Sam.